#include <string.h>
#include <stdio.h>

#define Uses_TEventQueue
#define Uses_TEvent
#define Uses_TProgram
#define Uses_TApplication
#define Uses_TKeys
#define Uses_TRect
#define Uses_fpstream
#define Uses_TMenuBar
#define Uses_TSubMenu
#define Uses_TMenuItem
#define Uses_TStatusLine
#define Uses_TStatusItem
#define Uses_TStatusDef
#define Uses_TDeskTop
#define Uses_TView
#define Uses_TWindow
#define Uses_TDialog
#define Uses_TStaticText
#define Uses_TButton
#define Uses_TListBox
#define Uses_TResourceFile
#define Uses_TStringCollection
#define Uses_TCheckBoxes
#define Uses_TCluster
#define Uses_TMemo
#define Uses_TEditor
#define Uses_TIndicator
#define Uses_TScrollBar
#include <tv.h>

#define Uses_bTApplication
#define Uses_bTMaskedInput
#include <tvdt.h>

#include "notetest.h$"

__link(RDialog)
__link(RWindow)
__link(RFrame)
__link(RGroup)
__link(RStaticText)
__link(RButton)
__link(RLabel)
__link(RScrollBar)
__link(RListViewer)
__link(RListBox)
__link(RMenuView)
__link(RMenuBar)
__link(RMenuBox)
__link(RInputLine)
__link(RCheckBoxes)
__link(RCluster)
__link(RResourceCollection)
__link(RStringList)
__link(RMemo)
__link(REditor)

const int cmNoteDialog  = 101;


class TMyApp : public bTApplication
{
public:
	TMyApp();
	~TMyApp();
	static TStatusLine *initStatusLine(TRect r);
	virtual void        handleEvent(TEvent& event);
	void					  noteDialog();
};


TMyApp::TMyApp() :
	TProgInit(TMyApp::initStatusLine,
				 TMyApp::initMenuBar,TMyApp::initDeskTop)
{
}

TMyApp::~TMyApp()
{
}

void TMyApp::handleEvent(TEvent& event)
{
	bTApplication::handleEvent(event);
	if (event.what == evCommand)
	{
	switch(event.message.command)
	{
		case cmNoteDialog:
		noteDialog();
		break;
		default:
		return;
	}
	clearEvent(event);
	}
}

TStatusLine *TMyApp::initStatusLine(TRect r)
{
	r.a.y = r.b.y - 1;
	return new TStatusLine(r,
	*new TStatusDef(0, 0xFFFF) +
		*new TStatusItem(0,kbF10,cmMenu) +
		*new TStatusItem("~Alt-X~ Exit",kbAltX,cmQuit) +
		*new TStatusItem("~Alt-N~ Note",kbAltN,cmNoteDialog)
	);
}

void TMyApp::noteDialog()
{

	TDialog *dialog = (TDialog *)bAppResFile->get("NOTE_DLG");
	bShoeHorn(dialog, new TMemo( TRect(),
										  (TScrollBar *) NULL,
										  (TScrollBar *) NULL,
										  new TIndicator (TRect()), 200) );

	if (deskTop->execView(dialog) != cmCancel)
	{
	}
	destroy(dialog);
}


int main()
{
    TMyApp myApp;
    myApp.run();
    return 0;
}


